Subject: how to respect target symlinks w/cp? problem?

From: Linda Walsh <[email-masked]>
Date: Fri, 28 Mar 2014 19:02:27 -0700

I was wanting to copy a source tree
to a target where the target had some symlink'd dirs..

/arch64/> \cp -r usr/. ../usr/.
cp: cannot overwrite non-directory `../usr/././share' with directory `usr/./share'

I have a setup on a bi-arch machine
where /usr/share under each 'arch' points to a common
/common/share/... I see options in the manpage for
having cp respect the SOURCE symlinks, but
see no option to have it respect symlinks in the target.

Note: If I wanted the target's symlinks to be overwritten
or ignored, I would use "cp -fa" that would overwrite
the symlinks (I think) and create them as directories,
but barring "a", why doesn't it just follow the path?

The purpose of symlinks was to allow seamless redirection,
but now more utils seem to be ignoring that usage just
like on a security level group access is being increasingly
ignored.

tar just overwrites the symlink with the dir w/o warning...